2014年10月31日金曜日

Android Studio | Error:compileSdkVersion android-L requires compiling with JDK 7

Error:compileSdkVersion android-L requires compiling with JDK 7
Open SDK Settings 
Open File

こういうエラーが出た時の対処法

マシン:MacBook Air mid 2013

んーと、まずOracleのサイトに行って新しいJDKをダウンロード


自分はMacなんで、Mac OS Xのやつ
あ、Accept License(規約に同意)にチェック忘れないでください


2014年10月28日火曜日

Android Wear | 先のエラーの解決

Error:Failed to find: com.google.android.gms:play-services-wearable:+
Error:Failed to find: com.google.android.support:wearable:+
という、エラーが出ていてなおかつ、
Install Repository and sync project
とも出ていない症状の人。

自分もその一人でした。
なぜこのエラーが出ているかと言うと
Google Repositryをインストールしていませんでした。
推測ですが、Andoroid Wearのみならずこういうエラーが出ている人は今一度確認してみては






Install Repository and sync project
が出てきたら、とりあえずリンクをクリックして「同意」「Accept」連打で頑張ってください


2014年10月24日金曜日

Android Wear | com.google.android.gms:play-services-wearable:+とError:Failed to find: com.google.android.support:wearable:+

Android Wearのアプリをなめようとしてサンプルプログラムをインストールしたら、このエラー
調べた結果、これらのライブラリはまだ配布されていない

Error:Failed to find: com.google.android.gms:play-services-wearable:+
Error:Failed to find: com.google.android.support:wearable:+


そのため、配布まで待てと書いてありました。(下のサイトに)
http://brightechno.com/blog/archives/290